import java.io.IOException;
import org.kwis.msp.lcdui.Jlet;
import org.kwis.msp.lcdui.Display;
import org.kwis.msp.lcdui.Image;
import org.kwis.msp.lwc.ShellComponent   ;
import org.kwis.msp.lwc.ButtonComponent   ;

public class ButtonComponentEx1 extends Jlet{

	Display displayLCD ;
		

	public ButtonComponentEx1(){      }

	protected void startApp(String[] arg0){
		
		displayLCD = Display.getDefaultDisplay();
		ShellComponent shell = new ShellComponent();

		Image imgButton = null;

		try{
			imgButton = Image.createImage("/button1.gif");
		}catch(IOException e){System.out.println(e);}
			
		ButtonComponent button = new ButtonComponent("   Button",imgButton);

		shell.setCommand(button,true);

		displayLCD.pushCard(shell.getCard());

	}

	protected void destroyApp(boolean arg0) {  }

}
